import React, { Component } from 'react';
import * as PropTypes from 'prop-types';

import TableCell from '@material-ui/core/TableCell';
import TableRow from '@material-ui/core/TableRow';

const DataTableFilterRowMUI = (props) => {
    console.log('DATA TABLE FILTER ROW: RENDER: ', props); // eslint-disable-line
    const {
        columns,
        filterRenderer,
        showFilters,
    } = props;

    if (showFilters) {
        return (
            <TableRow>
                {
                    columns.map((column, columnIndex) => {
                        const {
                            filterable,
                            filterType,
                            filterValue,
                            frozen,
                            label,
                            movable,
                            name,
                            resizable,
                            sortable,
                            sortDescending,
                            sortAscending,
                            width,
                        } = column;
                        let cellValue = 'FILTER';
                        if (filterRenderer) {
                            cellValue = filterRenderer(cellValue, column, columnIndex);
                        }
                        return (
                            <TableCell key={ name }>
                                { cellValue }
                            </TableCell>
                        );
                    })
                }
            </TableRow>
        );
    }

    return null;
};

export default DataTableFilterRowMUI;
