import React, { useState } from 'react';
import * as PropTypes from 'prop-types';

import TableCell from '@material-ui/core/TableCell';
import TableRow from '@material-ui/core/TableRow';


import { DndProvider } from 'react-dnd';
import HTML5Backend from 'react-dnd-html5-backend';

import DataTableHeaderCell from './DataTableHeaderCellMUI';


const DataTableHeaderRowMUI = (props) => {
    console.log('DATA TABLE HEADER ROW: RENDER: ', props); // eslint-disable-line
    const {
        columns,
        headerRenderer,
        onHeaderMoved,
        showFilters,
    } = props;

    return (
        <DndProvider backend={ HTML5Backend }>
            <TableRow>
                {
                    columns.map((column, columnIndex) => {
                        const {
                            filterable,
                            filterType,
                            filterValue,
                            frozen,
                            label,
                            movable,
                            name,
                            resizable,
                            sortable,
                            sortDescending,
                            sortAscending,
                            width,
                        } = column;
                        return (
                            <DataTableHeaderCell
                                column={ column }
                                headerRenderer={ headerRenderer }
                                index={ columnIndex }
                                key={ name }
                                onHeaderMoved={ onHeaderMoved }
                                showFilters={ showFilters } />
                        );
                    })
                }
            </TableRow>
        </DndProvider>
    );
};

export default DataTableHeaderRowMUI;
